Last Comment Bug 1192484 - Fix selecting without paths or tags in mach try
: Fix selecting without paths or tags in mach try
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: General (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: mozilla43
Assigned To: Chris Manchester (:chmanchester)
:
:
Mentors:
Depends on:
Blocks: 1149670
  Show dependency treegraph
 
Reported: 2015-08-07 22:43 PDT by Chris Manchester (:chmanchester)
Modified: 2015-08-30 12:52 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Remove bogus assert to fix selection without paths or tags in mach try (1.21 KB, patch)
2015-08-07 23:08 PDT, Chris Manchester (:chmanchester)
ahalberstadt: review+
Details | Diff | Splinter Review
MozReview Request: Bug 1192484 - Fix incorrect order of operations preventing selection by tag. r=ahal (40 bytes, text/x-review-board-request)
2015-08-27 15:45 PDT, Chris Manchester (:chmanchester)
ahalberstadt: review+
Details | Review

Description User image Chris Manchester (:chmanchester) 2015-08-07 22:43:46 PDT
I added an assert when addressing a review comment for bug 1183232 -- "assert tags or paths" -- that is bogus. Returning an empty dict does what we want here.
Comment 1 User image Chris Manchester (:chmanchester) 2015-08-07 23:08:33 PDT
Created attachment 8645304 [details] [diff] [review]
Remove bogus assert to fix selection without paths or tags in mach try

Sorry about the splinter review (I can't seem to push right now). It's a short one.
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2015-08-11 07:36:52 PDT
https://hg.mozilla.org/mozilla-central/rev/c997abf7973f
Comment 4 User image Chris Manchester (:chmanchester) 2015-08-27 15:38:32 PDT
I was pointing someone towards this feature and they pointed out it's still broken.
Comment 5 User image Chris Manchester (:chmanchester) 2015-08-27 15:45:20 PDT
Created attachment 8653778 [details]
MozReview Request: Bug 1192484 - Fix incorrect order of operations preventing selection by tag. r=ahal

Bug 1192484 - Fix incorrect order of operations preventing selection by tag. r=ahal
Comment 6 User image Chris Manchester (:chmanchester) 2015-08-27 15:45:50 PDT
Apparently I never tested the original fix. Sorry for the churn here.
Comment 7 User image Andrew Halberstadt [:ahal] 2015-08-28 06:45:06 PDT
Comment on attachment 8653778 [details]
MozReview Request: Bug 1192484 - Fix incorrect order of operations preventing selection by tag. r=ahal

https://reviewboard.mozilla.org/r/17511/#review15693

No worries
Comment 9 User image Ryan VanderMeulen [:RyanVM] 2015-08-30 12:52:21 PDT
https://hg.mozilla.org/mozilla-central/rev/5f2f45c700d1

Note You need to log in before you can comment on or make changes to this bug.